%define version	0.6
%define release %mkrel 6
%define dataversion 0.1

%define major 0
%define libname %mklibname %{name}

Name: 	 	gmodconfig
Summary: 	Kernel module configuration / lookup utilities
Version: 	%{version}
Release: 	%{release}
URL:		http://gmodconfig.sourceforge.net/
License:	GPL
Group:		System/Configuration/Other
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		%{name}-%{version}.tar.bz2
Source1:	%{name}-data-%{dataversion}.tar.bz2
Patch0:		%{name}-0.6-remove-gziped-module-suffix.patch.bz2
Patch1:		%{name}-0.6-rpm445callback.patch.bz2

BuildRequires:	libgnomeui2-devel
BuildRequires:	rpm-devel >= 4.4.5
BuildRequires:	scrollkeeper >= 0.3.10
BuildRequires:	gnome-common
BuildRequires:	automake1.7
BuildRequires:	autoconf2.5
Requires(pre):	scrollkeeper >= 0.3.10
Requires(pre):	yelp
Requires:	scrollkeeper >= 0.3.10
Requires:	yelp
Requires:	%{libname}%{major} = %{version}-%{release}
Requires:	usermode

%description
GModConfig is a GNOME2 application which allows (or will allow) Linux users to:
    * configure kernel modules' parameters, in their native language (if such
      translations exist),
    * check for new versions of kernel modules, as well as download, build and
      install those
    * access kernel modules informations (license, authors, link to website)

It's mainly aimed at non-experienced Linux users, however even long time Linux
users might find it useful! 

%package	-n %{libname}%{major}
Summary: 	Essential library for kernel module info editor
Group:		System/Libraries
Provides:	%{libname} = %{version}-%{release}

%description	-n %{libname}%{major}
GModConfig is a GNOME2 application which allows (or will allow) Linux users to:
    * configure kernel modules' parameters, in their native language (if such
      translations exist),
    * check for new versions of kernel modules, as well as download, build and
      install those
    * access kernel modules informations (license, authors, link to website)

This library is essential for gmodconfigedit, the module info editor bundled
with %{name}, to work.

%prep
%setup -q -a1
%patch0 -p1 -b .gzip-module
%patch1 -p0 -b .callback

%build
%configure2_5x --bindir=%{_sbindir} --enable-static=no \
               --with-bonobo-servers-dir=%{_libdir}/bonobo/servers
%make
										
%install
rm -rf %{buildroot}
%makeinstall_std

# don't bother doing configure/make/makeinstall for data, what it
# does is just copying xml file to some location
mkdir -p %{buildroot}%{_datadir}/%{name}/xml
install -m 644 %{name}-data-%{dataversion}/*.xml %{buildroot}%{_datadir}/%{name}/xml/


# menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=GModConfig
Comment=Kernel Module Info Editor
Exec=%{_bindir}/%{name}
Icon=configuration_section
Terminal=false
Type=Application
StartupNotify=true
Categories=System;Building;X-MandrivaLinux-System-Configuration-Other;
EOF

mkdir -p %{buildroot}%{_bindir}
ln -s %{_bindir}/consolehelper %{buildroot}%{_bindir}/gmodconfig
ln -s %{_bindir}/consolehelper %{buildroot}%{_bindir}/gmodconfigedit

# pam.d entries
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
cat > %{buildroot}%{_sysconfdir}/pam.d/gmodconfig << _EOF_
#%PAM-1.0
auth       sufficient	pam_rootok.so
auth       sufficient	pam_timestamp.so
auth       include      system-auth
session    required	pam_permit.so
session    optional	pam_xauth.so
session    optional	pam_timestamp.so
account    required	pam_permit.so
_EOF_
cp %{buildroot}%{_sysconfdir}/pam.d/gmodconfig{,edit}

# console.apps entries
mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
cat > %{buildroot}%{_sysconfdir}/security/console.apps/gmodconfig << _EOF_
USER=root
PROGRAM=%{_sbindir}/gmodconfig
SESSION=true
FALLBACK=false
_EOF_
cat > %{buildroot}%{_sysconfdir}/security/console.apps/gmodconfigedit << _EOF_
USER=root
PROGRAM=%{_sbindir}/gmodconfigedit
SESSION=true
FALLBACK=false
_EOF_

for i in %{buildroot}%{_datadir}/%{name}/doc/%{name}/*; do
  touch $i/%{name}.html
done

# remove unwanted files
# .so is needed by bonobo server!
rm -f %{buildroot}%{_libdir}/lib*.{a,la}

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%update_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi
if [ -x %{_bindir}/yelp-pregenerate ]; then
  %{_bindir}/yelp-pregenerate %{_datadir}/%{name}/doc/%{name}/*/%{name}.xml > /dev/null
fi

%postun
%clean_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi

%post -n %{libname}%{major} -p /sbin/ldconfig
%postun -n %{libname}%{major} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog COPYING NEWS
%config(noreplace) %{_sysconfdir}/pam.d/*
%config(noreplace) %{_sysconfdir}/security/console.apps/*
%{_sbindir}/*
%{_bindir}/*
%{_libdir}/bonobo/servers/*.server
%{_datadir}/%{name}
%{_datadir}/omf/*
%{_datadir}/applications/mandriva-%{name}.desktop
%ghost %{_datadir}/%{name}/doc/%{name}/*/%{name}.html

%files -n %{libname}%{major}
%defattr(-,root,root)
%{_libdir}/lib*.so*


%changelog
* Tue Oct 02 2007 Andreas Hasenack <andreas@mandriva.com> 0.6-6mdv2008.0
+ Revision: 94763
- fixed pam config file (#31647)
- fixed console helper configuration

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Tue May 01 2007 Crispin Boylan <crisb@mandriva.org> 0.6-5mdv2008.0
+ Revision: 19998
- XDG menu
- Correct bonobo servers dir for x86_64
- Rebuild for new libbeecrypt
- Import gmodconfig



* Wed Mar 15 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.6-4mdk
- Patch 1 to fix callbacks with rpm 4.4.5

* Wed May 11 2005 Olivier Thauvin <nanardon@mandriva.org> 0.6-3mdk
- rebuild for rpm 4.4

* Mon Jun 7 2004 Austin Acton <austin@mandrake.org> 0.6-2mdk
- rebuild

* Wed Dec 31 2003 Abel Cheung <deaddog@deaddog.org> 0.6-1mdk
- 0.6 (resurrected, this version works)
- Source1: module description data splitted into another tarball
- Patch0: Strip extra suffix caused by gzip'ed kernel modules

* Mon Aug 25 2003 Austin Acton <aacton@yorku.ca> 0.3-2mdk
- rebuild for libxml++

* Sun Apr 27 2003 Austin Acton <aacton@yorku.ca> 0.3-1mdk
- initial package
